Subject: Re: What's cooking in git.git (Dec 2025, #03)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 16 Dec 2025 09:13:33 +0100

On Tue, Dec 16, 2025 at 10:59:56AM +0900, Junio C Hamano wrote:
> Adrian Ratiu <[email-masked]> writes:
> 
> > On Fri, 12 Dec 2025, Junio C Hamano <[email-masked]> wrote:
> >> * ar/run-command-hook (2025-12-04) 11 commits
> >> ...
> >>  Use hook API to replace ad-hoc invocation of hook scripts with the
> >>  run_command() API.
> >>
> >>  Will merge to 'next'?
> >>  source: <[email-masked]>
> >
> > I think this can be merged to next, since the latest iteration has been
> > sitting for a few weeks with no more feedback and all tests are green.
> 
> "tests being green" tells us that with the current coverage we
> didn't see any regression but not more than that.  Especially, it
> does not say anything about the quality of new code (and test) and
> if it is in good shape to build on top.  
> 
> It also is very hard to tell from "no more feedback" if there is no
> room for further improvements, or people are simply disinterested in
> the topic and are not tempted to spend their brain cycles to help
> improve the topic.
> 
> If there is no more comments, I'll try to see if I can block some
> time to read the topic over myself with a pair of fresh eyes before
> deciding.

Thanks for the ping, I've now did another pass through v4 of this patch
series. It looked mostly good except for one question I had. Depending
on the answer I think this should be ready to go.

Thanks!

Patrick